Bug 1160 - gd-1.3-3 RPM does not include header files
Summary: gd-1.3-3 RPM does not include header files
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gd   
(Show other bugs)
Version: 5.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-14 18:47 UTC by Jeff Morriss
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-02-15 15:43:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Morriss 1999-02-14 18:47:25 UTC
The 'gd' RPM shipped with Redhat-5.2 does not include the
various header files which come with that library:

milliways [282] [~/]> rpm -qpl gd-1.3-3.i386.rpm
/usr/doc/gd-1.3
/usr/doc/gd-1.3/index.html
/usr/doc/gd-1.3/readme.txt
/usr/lib/libgd.so.1.2

milliways [286] [~/redhat/BUILD/gd1.3/]> ls *.h
gd.h        gdfontg.h   gdfontl.h   gdfontmb.h  gdfonts.h
gdfontt.h

This means any applications which must have 'libgd' to
build won't work.

The (obvious) workaround is to grab the header files from
the source.

Comment 1 Bill Nottingham 1999-02-15 15:43:59 UTC
try installing the gd-devel rpm.


Note You need to log in before you can comment on or make changes to this bug.